Bug 990506 - SELinux is preventing /usr/bin/kde4-config from 'write' accesses on the directory /home/toxn/.kde/share/config.
SELinux is preventing /usr/bin/kde4-config from 'write' accesses on the direc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:4b88325ee11c9f00c8b3b903773...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 06:32 EDT by Toxico Nimbus
Modified: 2014-01-05 01:08 EST (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-108.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-05 01:08:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toxico Nimbus 2013-07-31 06:32:14 EDT
Description of problem:
SELinux is preventing /usr/bin/kde4-config from 'write' accesses on the directory /home/toxn/.kde/share/config.

*****  Plugin catchall (100. confidence) suggests  ***************************

If vous pensez que kde4-config devrait être autorisé à accéder write sur config directory par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
autoriser cet accès pour le moment en exécutant :
# grep kde4-config /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                system_u:object_r:config_home_t:s0
Target Objects                /home/toxn/.kde/share/config [ dir ]
Source                        kde4-config
Source Path                   /usr/bin/kde4-config
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           kdelibs-4.10.5-1.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-98.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.11-200.fc18.x86_64 #1 SMP Mon
                              Jul 22 21:04:50 UTC 2013 x86_64 x86_64
Alert Count                   45
First Seen                    2013-07-25 11:49:46 CEST
Last Seen                     2013-07-31 12:27:47 CEST
Local ID                      b35ff2ef-09a9-4144-8623-c3b3b36ee725

Raw Audit Messages
type=AVC msg=audit(1375266467.134:497): avc:  denied  { write } for  pid=6807 comm="kde4-config" name="config" dev="sdc1" ino=49400 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:object_r:config_home_t:s0 tclass=dir


type=SYSCALL msg=audit(1375266467.134:497): arch=x86_64 syscall=access success=no exit=EACCES a0=1076978 a1=2 a2=200 a3=2 items=0 ppid=6799 pid=6807 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=2 tty=(none) comm=kde4-config exe=/usr/bin/kde4-config subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: kde4-config,thumb_t,config_home_t,dir,write

audit2allow

#============= thumb_t ==============
allow thumb_t config_home_t:dir write;

audit2allow -R
require {
	type thumb_t;
}

#============= thumb_t ==============
gnome_delete_home_config_dirs(thumb_t)


Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.11-200.fc18.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-07-31 08:38:00 EDT
399163f53c118e82500723d2a76b9797685c008b
and
e36fb06a13e374d38ccfe6ccc3f0f1b1ca721b79
Add dontaudit for this in git.
Comment 2 Lukas Vrabec 2013-10-25 08:19:11 EDT
commit f892c5bd6d9b67f84dcefd584bf89fcb86037673
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Fri Oct 25 14:09:38 2013 +0200

    Dontaudit attempts by thumb_t to check access on files/dirs in user homedir
Comment 3 Fedora Update System 2013-12-19 19:00:06 EST
selinux-policy-3.11.1-108.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-108.fc18
Comment 4 Fedora Update System 2013-12-20 21:18:35 EST
Package selinux-policy-3.11.1-108.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-108.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23716/selinux-policy-3.11.1-108.fc18
then log in and leave karma (feedback).
Comment 5 Fedora End Of Life 2013-12-21 10:48:02 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora Update System 2014-01-05 01:08:19 EST
selinux-policy-3.11.1-108.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.